{
  "name": "dim_video",
  "project": "videoods",
  "comment": "",
  "columns": [
    {
      "name": "videoid",
      "type": "BIGINT",
      "comment": "视频id"
    },
    {
      "name": "title",
      "type": "STRING",
      "comment": "视频标题"
    },
    {
      "name": "distrubute_title",
      "type": "STRING",
      "comment": "视频分发标题"
    },
    {
      "name": "video_category",
      "type": "STRING",
      "comment": "视频种类"
    },
    {
      "name": "tag_name",
      "type": "STRING",
      "comment": "视频一级标签"
    },
    {
      "name": "gmt_create",
      "type": "DATETIME",
      "comment": "上传时间  "
    },
    {
      "name": "tags",
      "type": "STRING",
      "comment": "视频内容标签"
    },
    {
      "name": "uid",
      "type": "BIGINT",
      "comment": "生产者id"
    },
    {
      "name": "video_edit",
      "type": "STRING",
      "comment": "视频审核状态"
    },
    {
      "name": "video_data_stat",
      "type": "STRING",
      "comment": "视频的数据状态"
    },
    {
      "name": "video_recommend",
      "type": "STRING",
      "comment": "视频可搜状态"
    },
    {
      "name": "is_img",
      "type": "STRING",
      "comment": "视频分发封面"
    },
    {
      "name": "existence_days",
      "type": "DOUBLE",
      "comment": "发布距今天数"
    },
    {
      "name": "video_url",
      "type": "STRING",
      "comment": "后台视频链接"
    },
    {
      "name": "total_time",
      "type": "BIGINT",
      "comment": "视频时长"
    },
    {
      "name": "play_count",
      "type": "BIGINT",
      "comment": "播放人数"
    },
    {
      "name": "play_count_total",
      "type": "BIGINT",
      "comment": "播放次数"
    },
    {
      "name": "total_reward",
      "type": "DOUBLE",
      "comment": "赞赏总金额"
    },
    {
      "name": "currentday_reward",
      "type": "DOUBLE",
      "comment": "当日赞赏金额"
    },
    {
      "name": "total_reward_times",
      "type": "BIGINT",
      "comment": "赞赏次数"
    },
    {
      "name": "reward_person",
      "type": "BIGINT",
      "comment": "赞赏人数"
    },
    {
      "name": "total_price",
      "type": "BIGINT",
      "comment": "付费总金额"
    },
    {
      "name": "currentday_price",
      "type": "BIGINT",
      "comment": "当日付费金额"
    },
    {
      "name": "total_price_times",
      "type": "BIGINT",
      "comment": "付费次数"
    },
    {
      "name": "total_price_person",
      "type": "BIGINT",
      "comment": "付费人数"
    },
    {
      "name": "app_recommend_status",
      "type": "STRING",
      "comment": "app推荐状态"
    },
    {
      "name": "charge",
      "type": "STRING",
      "comment": "收费状态"
    },
    {
      "name": "is_pwd",
      "type": "STRING",
      "comment": "是否加密"
    },
    {
      "name": "width",
      "type": "BIGINT",
      "comment": "视频宽度"
    },
    {
      "name": "height",
      "type": "BIGINT",
      "comment": "视频高度"
    },
    {
      "name": "tag_name2",
      "type": "STRING",
      "comment": "二级标签"
    },
    {
      "name": "tag_name3",
      "type": "STRING",
      "comment": "三级标签"
    },
    {
      "name": "if_create",
      "type": "STRING",
      "comment": "是否为创作视频"
    },
    {
      "name": "if_change",
      "type": "STRING",
      "comment": "是否再创作"
    },
    {
      "name": "app_type",
      "type": "BIGINT",
      "comment": "发布端"
    },
    {
      "name": "descr",
      "type": "STRING",
      "comment": "视频简介"
    },
    {
      "name": "video_type",
      "type": "STRING",
      "comment": "视频创作类型"
    },
    {
      "name": "if_in_youthcommunity",
      "type": "STRING",
      "comment": "是否进入青年社区"
    },
    {
      "name": "if_in_agedcommunity",
      "type": "STRING",
      "comment": "是否进入老年社区"
    },
    {
      "name": "topic_name",
      "type": "STRING",
      "comment": "话题名称"
    }
  ],
  "partition_keys": [],
  "dataworks_tasks": [
    {
      "id": 1000579613,
      "name": "视频维度表"
    }
  ],
  "upstream_tables": [
    "videoods.every_video_status_category",
    "videoods.if_create_video",
    "videoods.topic",
    "videoods.total_price_video",
    "videoods.total_reward_video",
    "videoods.video_repository_type",
    "videoods.video_topic",
    "videoods.videoid_second_tag_name",
    "videoods.videoid_third_tag_name",
    "videoods.videoid_top_tag_name",
    "videoods.wx_video",
    "videoods.wx_video_detail",
    "videoods.wx_video_pwd",
    "videoods.wx_video_recommend_ext",
    "videoods.wx_video_status",
    "videoods.wx_video_tag",
    "videoods.wx_video_tag_rel"
  ]
}